Bug 862882 - /usr/bin/pulp-migrate calls /usr/bin/python explicitly instead of using env
/usr/bin/pulp-migrate calls /usr/bin/python explicitly instead of using env
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 41
Assigned To: Randy Barlow
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 16:06 EDT by Randy Barlow
Modified: 2013-01-09 12:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:04:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2012-10-03 16:06:24 EDT
The /usr/bin/pulp-migrate command uses #!/usr/bin/python to find the scripting environment. This is bad for running Pulp in environments other than the system installed Python (such as virtualenv, or if the user wants to run in a different version of Python.) It should use env instead, which will find which Python interpreter to use by inspecting the environment.
Comment 1 Randy Barlow 2012-10-29 10:15:27 EDT
I completed the work on this ticket in this commit:

https://github.com/pulp/pulp/commit/421a95ca2efb57be1d63593f668933055296abaf

jdob reviewed this work as part of my story about migrations, which is why I am skipping this ticket status ahead to MODIFIED.
Comment 2 Jeff Ortel 2012-10-29 16:22:07 EDT
build: 0.334
Comment 3 Preethi Thomas 2012-11-05 14:42:09 EST
verified

[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.335-1.fc17.noarch
[
[root@pulp-master ~]# 
[root@pulp-master ~]#  pulp-manage-db
Beginning database migrations.
Migration package pulp.server.db.migrations.platform is up to date at version 0
Database migrations complete.
Loading content types.
Content types loaded.
[root@pulp-master ~]#
Comment 4 Preethi Thomas 2013-01-09 12:04:54 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.